from django.db.models import signals
from django.conf import settings

def add_group(g_name):
	from django.contrib.auth.models import Group
	g, created = Group.objects.get_or_create(name=g_name)
	if created:
		print "Group %s created" % g_name

def add_katrin_groups(**kwargs):
	add_group('clients')

def update_services(**kwargs):
	from katrin.models import Service

	for app in settings.KATRIN_MODULES:
		service = app[app.find('.')+1:]
		if (len(Service.objects.filter(codename=service)) == 0 and service!="user"):
			s = Service()
			s.title = service
			s.codename = service
			s.bill_entry = u"Service %s" % service
			s.save()
			print "%10s\tservice added" % service



signals.post_syncdb.connect(add_katrin_groups, dispatch_uid = "katrin.add_katrin_groups")
signals.post_syncdb.connect(update_services, dispatch_uid = "katrin.update_services")
